Subject: Re: git 2.54 fails to build for rhel 6 (2.53 builds fine)

From: "brian m. carlson" <[email-masked]>
Date: Mon, 4 May 2026 00:34:54 +0000

On 2026-05-03 at 19:50:52, Азат Усманов wrote:
> Hi everyone! I have noticed a problem when trying to build latest git
> 2.54 in rhel 6,(2.53 builds fine ) nothing has changed on this machine
> since I successfully installed 2.53 . My openssl version is 3.5.6. Any
> Ideas? Below is the log

We no longer support RHEL 6.  It lacks security support and
Documentation/technical/platform-support.adoc states the following
requirement, among others:

* Has active security support (taking security releases of dependencies, etc)

We normally do not consider extended support time frames in this regard,
but even if we were to do so, RHEL 6 lost security support in 2024[0],
so it's not supported.  I would recommend you upgrade this system
immediately to a supported OS to avoid it being compromised and becoming
a hazard to the rest of the Internet.

> /usr/local/bin/ld: warning: libssl.so.3, needed by /usr/local/lib/libcurl.so, may conflict with libssl.so.10
>     LINK git-http-fetch
> /usr/local/bin/ld: warning: libcrypto.so.3, needed by /usr/local/lib/libcurl.so,may conflict with libcrypto.so.10
> /usr/local/bin/ld: imap-send.o: undefined reference to symbol 'ASN1_STRING_get0_data@@OPENSSL_3.0.0'
> /usr/local/bin/ld: /usr/local/openssl/lib/libcrypto.so.3: error adding symbols:DSO missing from command line
> collect2: error: ld returned 1 exit status

It looks like there's either a conflict between various versions of
OpenSSL which are being linked into Git or perhaps the wrong one is
being linked in.

[0] https://endoflife.date/rhel
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA